Bug 827852 - p54: hardware wifi button doesn't activate wifi on this notebook
p54: hardware wifi button doesn't activate wifi on this notebook
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 06:06 EDT by Jan Willies
Modified: 2013-01-02 08:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 08:16:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Willies 2012-06-03 06:06:13 EDT
Description of problem: After upgrading to F17, I can't enable wifi on this notebook. When I press the button, the led lits up, but "rfkill list" still says it's hardblocked. As does the NM-applet. But when I reboot the machine it starts working.


Version-Release number of selected component (if applicable): rfkill-0.4-5.fc17


How reproducible: always


Steps to Reproduce:
1. enable wifi
2. nothing happens
  
Actual results:
atkbd serio0: Use 'setkeycode e076 <keycode>' to make it known


Expected results: working wifi


Additional info: I'm not sure if rfkill is the right component, maybe the msi_laptop kernel module is to blame?
Comment 1 John W. Linville 2012-06-04 10:09:43 EDT
It sounds like the platform driver isn't properly updating the state after reading it at boot time?
Comment 2 Matthew Garrett 2012-06-04 10:13:56 EDT
Looks like. Jan, could you provide the output of

rfkill list

while the machine is in the broken state?
Comment 3 Jan Willies 2012-06-04 10:29:27 EDT
0: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: yes

but the LED is on, and the wifi card should be working.
Comment 4 Matthew Garrett 2012-06-04 10:37:30 EDT
That's the full output? In that case the problem is with the wifi driver, not with msi-laptop.
Comment 5 Jan Willies 2012-06-04 10:43:45 EDT
yes, that's the full output
Comment 6 John W. Linville 2012-06-04 10:50:51 EDT
What is the driver in question?  Can we see the output from dmesg after you boot with wireless disabled, then attempt to enable the wireless by pressing the button to light the LED?
Comment 7 Jan Willies 2012-06-04 13:51:41 EDT
It's a p54 chipset. At 94.xx I press the hardware button to turn on wifi:

[   42.556230] ieee80211 phy0: p54 detected a LM86 firmware
[   42.556239] p54: rx_mtu reduced from 3240 to 2376
[   42.556246] ieee80211 phy0: FW rev 2.13.25.0 - Softmac protocol 5.9
[   42.556254] ieee80211 phy0: cryptographic accelerator WEP:YES, TKIP:YES, CCMP:YES
[   43.419221] ieee80211 phy0: hwaddr 00:60:b3:53:01:72, MAC:isl3890 RF:Frisbee
[   43.495295] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   43.495998] Registered led device: p54-phy0::assoc
[   43.496092] Registered led device: p54-phy0::tx
[   43.496143] Registered led device: p54-phy0::rx
[   43.496198] Registered led device: p54-phy0::radio
[   43.496214] p54pci 0000:02:09.0: is registered as 'phy0'
[   43.504259] 8139too 0000:02:03.0: eth0: RealTek RTL8139 at 0xffffc900001fac00, 00:10:dc:e8:e6:25, IRQ 18
[   43.798582] udevd[250]: renamed network interface eth0 to em1
[   43.813067] cfg80211: Calling CRDA for country: DE
[   43.901537] 8139too 0000:02:03.0: em1: link down
[   43.905556] ADDRCONF(NETDEV_UP): em1: link is not ready
[   43.915697] cfg80211: Regulatory domain changed to country: DE
[   43.915709] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   43.915717] cfg80211:   (2400000 KHz - 2483500 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   43.915724] cfg80211:   (5150000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   43.915731] cfg80211:   (5250000 KHz - 5350000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   43.915737] cfg80211:   (5470000 KHz - 5725000 KHz @ 40000 KHz), (N/A, 2698 mBm)
[   94.160316] atkbd serio0: Unknown key pressed (translated set 2, code 0xf6 on isa0060/serio0).
[   94.160327] atkbd serio0: Use 'setkeycodes e076 <keycode>' to make it known.
[   94.190182] atkbd serio0: Unknown key released (translated set 2, code 0xf6 on isa0060/serio0).
[   94.190190] atkbd serio0: Use 'setkeycodes e076 <keycode>' to make it known.
Comment 8 Justin M. Forbes 2012-09-11 11:40:38 EDT
Is this still an issue with 3.5.3 kernels currently in updates?

Note You need to log in before you can comment on or make changes to this bug.